Package org.opensaml.saml.saml1.core

# Interface RequestAbstractType

All Superinterfaces:
  `SAMLObject`, `SignableSAMLObject`, `SignableXMLObject`, `XMLObject`

All Known Subinterfaces:
  `Request`

All Known Implementing Classes:
  `RequestAbstractTypeImpl`, `RequestImpl`

public interface RequestAbstractType extends SignableSAMLObject
This interface describes the base class for types derived from `RequestAbstractType` .

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`ID_ATTRIB_NAME`
Name for the attribute which defines the Issue Instant.
`static final String`
`ISSUEINSTANT_ATTRIB_NAME`
Name for the attribute which defines the IssueInstant.
`static final QName`
`ISSUEINSTANT_ATTRIB_QNAME`
QName for the attribute which defines the IssueInstant.
`static final String`
`MAJORVERSION_ATTRIB_NAME`
Name for the attribute which defines the MajorVersion (which must be "1".
`static final String`
`MINORVERSION_ATTRIB_NAME`
Name for the attribute which defines the MinorVersion.

## Method Summary

Modifier and Type
Method
Description
`String`
`getID()`
Get the ID.
`Instant`
`getIssueInstant()`
Get the issue instant.
`List<RespondWith>`
`getRespondWiths()`
Return the list of RespondWith elements.
`SAMLVersion`
`getVersion()`
Gets the SAML version of this message.
`void`
`setID(String id)`
Set the ID.
`void`
`setIssueInstant(Instant date)`
Set the issue instant.
`void`
`setVersion(SAMLVersion version)`
Sets the SAML version of this message.

### Methods inherited from interface org.opensaml.saml.common.SignableSAMLObject

`getSignatureReferenceID`

### Methods inherited from interface org.opensaml.xmlsec.signature.SignableXMLObject

`getSignature, isSigned, setSignature`

### Methods inherited from interface org.opensaml.core.xml.XMLObject

`detach, ensureDOM, getDOM, getElementQName, getIDIndex, getNamespaceManager, getNamespaces, getNoNamespaceSchemaLocation, getObjectMetadata, getOrderedChildren, getParent, getSchemaLocation, getSchemaType, hasChildren, hasParent, isNil, isNilXSBoolean, releaseChildrenDOM, releaseDOM, releaseParentDOM, resolveID, resolveIDFromRoot, setDOM, setNil, setNil, setNoNamespaceSchemaLocation, setParent, setSchemaLocation`

## Field Details

### MAJORVERSION_ATTRIB_NAME

@Nonnull @NotEmpty static final String MAJORVERSION_ATTRIB_NAME
Name for the attribute which defines the MajorVersion (which must be "1".

See Also:
  - Constant Field Values

### MINORVERSION_ATTRIB_NAME

@Nonnull @NotEmpty static final String MINORVERSION_ATTRIB_NAME
Name for the attribute which defines the MinorVersion.

See Also:
  - Constant Field Values

### ISSUEINSTANT_ATTRIB_NAME

@Nonnull @NotEmpty static final String ISSUEINSTANT_ATTRIB_NAME
Name for the attribute which defines the IssueInstant.

See Also:
  - Constant Field Values

### ISSUEINSTANT_ATTRIB_QNAME

@Nonnull static final QName ISSUEINSTANT_ATTRIB_QNAME
QName for the attribute which defines the IssueInstant.

### ID_ATTRIB_NAME

@Nonnull @NotEmpty static final String ID_ATTRIB_NAME
Name for the attribute which defines the Issue Instant.

See Also:
  - Constant Field Values

## Method Details

### getVersion

@Nullable SAMLVersion getVersion()
Gets the SAML version of this message.

Returns:
  the SAML version of this message

### setVersion

void setVersion(@Nullable SAMLVersion version)
Sets the SAML version of this message.

Parameters:
  `version` - SAML version of this message

### getIssueInstant

@Nullable Instant getIssueInstant()
Get the issue instant.

Returns:
  the issue instant

### setIssueInstant

void setIssueInstant(@Nullable Instant date)
Set the issue instant.

Parameters:
  `date` - what to set

### getID

@Nullable String getID()
Get the ID.

Returns:
  the ID

### setID

void setID(@Nullable String id)
Set the ID.

Parameters:
  `id` - what to set

### getRespondWiths

@Nonnull @Live List<RespondWith> getRespondWiths()
Return the list of RespondWith elements.

Returns:
  the list of RespondWith elements